class CreateSocialEngagements < ActiveRecord::Migration
  def change
    create_table :social_engagements do |t|
      t.integer :facebook
      t.integer :twitter
      t.string :url
      t.datetime :created_at
      t.datetime :updated_at

      t.timestamps
    end
    add_index :social_engagements, :url, unique: true
  end
end
