require 'spec_helper'

describe Social::Engageable do
  before do
    Offer.include(Social::Engageable)
  end

  let(:offer) { Offer.new }
  let(:social_engagement) { SocialEngagement.new }

  it 'calls Social::Engagement::for with self' do
    Social::Engagement.should_receive(:for).with(offer).and_return(social_engagement)
    offer.social_engagement.should == social_engagement
  end
end
