require 'spec_helper'

describe Social::InvalidationPolicy do
  it 'returns true if the social engagement count was updated less than 15 minutes ago' do
    Social::InvalidationPolicy.valid?(SocialEngagement.new(updated_at: 14.minutes.ago)).should be_true
  end

  it 'returns true if the social engagement count was updated less than 15 minutes ago' do
    Social::InvalidationPolicy.valid?(SocialEngagement.new(updated_at: 16.minutes.ago)).should be_false
  end
end
