# coding: utf-8
$:.push File.expand_path("../lib", __FILE__)
require 'social/version'

Gem::Specification.new do |spec|
  spec.name          = "tbg_social"
  spec.version       = Social::VERSION
  spec.authors       = ["zduci"]
  spec.email         = ["ra.busuioc@gmail.com"]
  spec.summary       = %q{Social engagement module}
  spec.description   = %q{It finds, caches and updates social engagement of urls on social media (facebook, twitter)}
  spec.homepage      = "https://github.com/thebeansgroup/social"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.required_ruby_version = '>= 2.0.0'

  spec.add_dependency "rails", ">= 3.2.13"
  #spec.add_dependency "activeresource", "~> 4.0"
  #spec.add_dependency "activeresource"

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency 'pry-byebug'
  spec.add_development_dependency 'pry-rails'
  spec.add_development_dependency 'pry-stack_explorer'
  spec.add_development_dependency 'awesome_print'
  spec.add_development_dependency "rake"

  spec.add_development_dependency "rspec"
  spec.add_development_dependency "rspec-rails"
  spec.add_development_dependency "shoulda-matchers"
  spec.add_development_dependency "vcr"
  spec.add_development_dependency "sqlite3"
  spec.add_development_dependency "webmock"
end
