require 'spec_helper'

describe Social::Url do
  before do
    Rails.application.routes.default_url_options[:host]= 'localhost'
  end

  it 'creates the url for an instance of a model' do
    offer = Offer.create
    Social::Url.for(offer).should == "http://localhost/offers/#{offer.id}"
  end
end
